IKEv1 ба IKEv2 урьдчилан хуваалцсан түлхүүртэй: баталгаажуулалт юугаараа ялгаатай
Хоёр хувилбар түлхүүрийг илгээхгүйгээр мэддэгээ нотолдог ч өөр өөр хэшүүдэд өөр өөр өгөгдөл оруулдаг. Хоёр мөрийг харьцуулна уу.
Ижил урьдчилан хуваалцсан түлхүүрээр тохируулсан хоёр гарц гар барилтыг дуусгаж, пакетын бичлэг утсаар дамжих ямар ч нууцыг харуулахгүй. Хүмүүсийн санадаг хэсэг нь энэ. Сонирхолтой хэсэг нь нууц мэдэгдэж байгааг нотлохын тулд хувилбар бүр юу бодитоор тооцдог вэ гэдэг, учир нь IKEv1 ба IKEv2 энэ нотолгоог өөр өөр өгөгдлөөс бүтээж, тэр үедээ өөр өөр мэдээллийг ил болгодог. Хоёр мөрийг зэрэгцүүлэн уншвал ялгаа нь гадаад төрх байхаа болино.
Нотолгоо юуг хийх ёстой вэ
Diffie-Hellman хоёр талд нийтлэг утга өгдөг бөгөөд түүний нээлттэй хагасыг ажиглагч хэн ч тооцоолж чадна. Энэ нь өөрөө хувь хүний таних тухай юу ч нотолдоггүй: түлхүүрийн солилцоог дуусгасан халдагч таны гарцтай ижил нийтлэг утгатай байна. Баталгаажуулалтын алхам нь тэр солилцоог зөвхөн зоригдсон талуудад байдаг нууцтай, мөн тэдний тохиролцсон таних мэдээлэл, параметртэй холбохын тулд байдаг.
Энэ холбоос нь хэш яагаад түлхүүрээс илүүг хамардаг вэ гэдгийн шалтгаан юм. Хэрэв зөвхөн нууцыг хамарсан бол халдагч үүнийг өөр таних мэдээлэл эсвэл саналын өөр солилцоонд дахин тоглуулж чадна.
IKEv1 Main Mode: SKEYID-ийг гаргаж, дараа нь нотлох
Main Mode зургаан мессеж гүйцэтгэдэг. Эхний хос аюулгүй байдлын холбоог хэлэлцэж, хоёр дахь нь Diffie-Hellman нээлттэй утгууд болон nonce-уудыг солилцож, гурав дахь нь дөнгөж тогтоосон шифрлэлтийн дор таних мэдээлэл болон баталгаажуулалтын хэшийг зөөнө. RFC 2409 бүтцийг тодорхойлдог: урьдчилан хуваалцсан түлхүүрээр баталгаажуулах үед SKEYID нь нууц болон хоёр nonce-оос, дараагийн түлхүүрийн материал нь SKEYID, Diffie-Hellman-ийн нийтлэг утга, күүки болон тогтмолуудаас гардаг.
Тав, зургаа дахь мессеж дэх хэш нь Diffie-Hellman утга, хоёр күүки, санал болон илгээгчийн таних мэдээллийн дээр SKEYID түлхүүрээр тооцогдоно. Хүлээн авагч үүнийг өөрийн тохируулсан нууцаар дахин тооцно. Зөрүү солилцоог дуусгах бөгөөд нууц өөрөө хэзээ ч ачаа болдоггүй.
Aggressive Mode ижил ажлыг гурван мессеж болгон шахаж, шифрлэгдсэн суваг бий болохоос өмнө таних мэдээлэл болон баталгаажуулалтын хэш явдаг гэсэн үг. Энэ нь таамаглахуйц нууцын хувьд бодит илрэл бөгөөд нууц дамжуулагдсан эсэх асуудлаас тусдаа юм. IKEv1 нь RFC 9395-аар хуучирсан тул хуучин мөр нь байршуулалтын зорилго биш, оношилгооны дасгал юм.
IKEv2: өөр гаргалт, өөр AUTH ачаа
IKEv2 IKEv1-ийн түлхүүрийн хуваарийг дахин ашиглахгүй. Эхний IKE түлхүүрүүд нь nonce-ууд болон Diffie-Hellman-ийн нийтлэг утгаас бүтсэн үрээс гардаг бөгөөд хүүхэд аюулгүй байдлын холбоод түүнээс үүсдэг. Урьдчилан хуваалцсан түлхүүр үрэнд огт ордоггүй.
Дараа нь баталгаажуулалт AUTH ачаа хэлбэрээр гарч ирнэ. Хуваалцсан түлхүүрээр баталгаажуулахын тулд RFC 7296 нууцын дүүргэсэн хэлбэрийг зааж өгдөг бөгөөд энэ нь нууцыг тогтмол мөрөөр хэшлэх замаар гарна Key Pad for IKEv2, дараа нь гарын үсэг зурсан солилцооны өгөгдөл болон таних мэдээллийг тэр дүүргэсэн түлхүүрээр хэшлэнэ. Баталгаажуулагч ижил утгыг дахин бүтээж чадна; ажиглагч нууцгүйгээр чадахгүй.
Юу өөрчлөгдсөнийг анхаарна уу. IKEv1-д нууц нь баталгаажуулалтын хэш бий болохоос өмнө түлхүүрийн хуваарьт шингэсэн байдаг; IKEv2-д түлхүүрийн хуваарь нууцаас хамааралгүй бөгөөд нотолгоо нь гарын үсэг зурсан октетуудад холбогдсон тусдаа ачаа юм. Ижил ойлголтын баталгаа, өөр механизм, иймд параметрийн нэр, бичлэгүүд нэг нэгээрээ таарахгүй.
Ажиглагч бодитоор юу мэддэг вэ
Diffie-Hellman-ийн нээлттэй утгууд, саналууд, nonce-ууд болон күүки хоёр хувилбарт харагдана. Таних мэдээлэл IKEv1 Aggressive Mode-д харагдах бөгөөд бусад тохиолдолд хамгаалагдана. Нууц хэзээ ч харагддаггүй.
Сүүлчийн өгүүлбэрт хэлэх ёстой нэг хязгаар бий. Хүний сонгосон сул нууцыг таамаглах замаар халдаж болно: халдагч нэр дэвшигч нууцын хувьд баталгаажуулалтын утга ямар байхыг тооцож, харьцуулна. IKEv1 Aggressive Mode үүнийг хамгийн хямд болгодог, учир нь нотолгоо нээлттэй, стандартууд ерөнхийдөө бага энтропитой нууцын талаар анхааруулдаг. Нууцыг хэзээ ч илгээхгүй байх нь муу нууцыг аюулгүй болгохтой ижил биш.
Энэ харьцуулалтаар юу хийх вэ
Хос тал бүрт нэг өвөрмөц нууц хэрэглэж, санамсаргүй эх сурвалжаас үүсгэж, түүнийг тараасан бэлтгэлийн замаар эргэлдүүлнэ. Хэрэв нууц салбар бүрт илгээгддэг тохиргооны загварт хадгалагддаг бол нэг газарт учирсан хохирол нь хаа сайгүй хохирол юм.
Үйл ажиллагааны зардал хүлээн зөвшөөрөгдөх газарт гэрчилгээнд суурилсан баталгаажуулалтыг илүүд үзээрэй, учир нь энэ нь хуваалцсан нууцыг таамаглах асуудлыг арилгаж, тал бүрд тусдаа таних мэдээлэл өгдөг. Урьдчилан хуваалцсан түлхүүр үлдэх газарт урт байлгаж, хүрээг нь нарийсгаж, IKE хувилбарыг харилцан ажиллагааны дэлгэрэнгүй биш, аюулгүй байдлын шийдвэр гэж үзээрэй.